#! /bin/sh


##########################################################################################################################################
#                                                                                                                                        #
#       AUTHER  : MAHENDRA B. PATIL                                                                                                      #
#       DATE    : 03-DEC-2012                                                                                                            #
#       PURPOSE : To Sync time with NTP Server    		                                                                 #
#		  if time not able to sync then it will alert i.e. send mail to respective people			 #
#																	 #
#																	 #
##########################################################################################################################################


ALERT_EMAIL_TO="naaptoltech@gmail.com;monitoring.alert@naaptol.com;"
ALERT_EMAIL_SUBJECT="Health Checkup : Time Sync"
ALERT_EMAIL_FROM="tech@naaptol.com"


NTP_SERVER_IP="192.168.58.11"


SERVER_IP_MONITOR="$1"


#############################################ALL Required Functions defined Here START#####################################
function print_start_header()
{
  setCurrentHome
  echo -e "\n\n######################TIME SYNC START ON DATE - $(date +%Y-%m-%d-%H-%M-%S)##############################################\n\n"

}

function print_end_header()
{
  cleanup
  echo -e "\n\n######################LOAD AVERAGE CHECK END ON DATE - $(date +%Y-%m-%d-%H-%M-%S)##############################################\n\n"
}

#Any clean up activity which must happen at the last should go here
function cleanup()
{
    echo -e "Clean up!!!"
}
. /opt/anm/scripts/alert/alert.sh
#############################################ALL Required Functions defined Here END#####################################

print_start_header

if [ -z "${SERVER_IP_MONITOR}" ]; then
   ERROR_MSG="Invalid server ip ${SERVER_IP_MONITOR}"
   inform_error
fi


/usr/sbin/ntpdate -u ${NTP_SERVER_IP}

ntp_status="$?"


if [ "${ntp_status}" != "0" ]; then

        ALERT_EMAIL_SUBJECT="$ALERT_EMAIL_SUBJECT : Critical on ${SERVER_IP_MONITOR}"
        ERROR_MSG="Time Sync on ${SERVER_IP_MONITOR} Failed <BR/> Please check asap."
        inform_error

fi


echo -e "Time Sync on ${SERVER_IP_MONITOR} Server Successfully!!!"


print_end_header
